<?php
namespace Pinpoint\CarouselManager\Block\Adminhtml\Carousel\Items;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\Data\Form as DataForm;
use Magento\Framework\Data\Form\ElementFactory;

/**
 * Class Form
 * @package Pinpoint\CarouselManager\Block\Adminhtml\Carousel\Items
 */
class Form extends \Magento\Backend\Block\Template
{
    /**
     * @var string
     */
    protected $_template = 'Pinpoint_CarouselManager::carousel/items/form.phtml';
    /**
     * @var \Magento\Framework\Registry
     */
    protected $coreRegistry;
    /**
     * @var
     */
    protected $carousel;
    /**
     * @var ElementFactory
     */
    protected $elementFactory;
    /**
     * @var DataForm
     */
    protected $form;

    /**
     * Form constructor.
     * @param Context $context
     * @param \Magento\Framework\Registry $coreRegistry
     * @param ElementFactory $elementFactory
     * @param DataForm $form
     * @param array $data
     */
    public function __construct(
        Context $context,
        \Magento\Framework\Registry $coreRegistry,
        ElementFactory $elementFactory,
        DataForm $form,
        array $data = []
    ) {
        parent::__construct($context, $data);
        $this->coreRegistry = $coreRegistry;
        $this->elementFactory = $elementFactory;
        $this->form = $form;
    }


    /**
     * @return mixed
     */
    public function getCarousel()
    {
        if (!$this->carousel) {
            $carousel = $this->coreRegistry->registry('carousel');
            if (
                ($carousel && $carousel->getId()) ||
                ($carousel && $carousel->getSlug())
            ) {
                $this->carousel = $carousel;
            }
        }

        return $this->carousel;
    }

    /**
     * @return null
     */
    public function getSlides()
    {
        if ($this->getCarousel()) {
            $carousel = $this->getCarousel();
            return $carousel->getSlides();
        }
        return null;
    }

    /**
     * @param $name
     * @param string $label
     * @return mixed
     */
    public function getImageUploadField($name, $label = '')
    {
        $element = $this->elementFactory->create(\Magento\Framework\Data\Form\Element\Image::class, []);
        $element->setForm($this->form);
        $element->setLabel($label);
        $element->setName($name);

        $html = $element->toHtml();
        return $html;
    }
}