# Pinpoint Carousel Manager

This module adds nice admin interface for managing custom carousels and slides.

Administration: 
Navigate to Content > Elements > Carousel Manager

Features: 
- List of all defined Carouels
- Add new Carousel
- Unlimited number of slides per carousel
- Duplicate Carousel functionality from edit screen

Slide content fields: 

- Title
- Image
- Slide Description
- Slide link
- Slide Sort Order
- CTA
- CTA background-color
- CTA text-color
- CTA position box

Magento 2 Markup tags can be used as part of the following fields: 'title', 'description', 'cta', 'link'
More about agento 2 Markup tags usage can be found here: http://docs.magento.com/m1/ce/user_guide/cms/markup-tag-syntax.html

HTML can also be used inside the fields.

There are 2 basic ways to define a new Carousel instance in the frontend: 
- Using Pinpoint Carousel Widget
- Using Layout.xml

Widget sample:

{{widget type="\Pinpoint\CarouselManager\Block\Carousel" carousel_id="1" template="PinpointCarousel::sampletemplate"}}

OR

{widget type="\Pinpoint\CarouselManager\Block\Carousel" carousel_slug="test" template="PinpointCarousel::sampletemplate"}}

(template is optional paramater. If not provided, the default template from the module will be used)

Samples for layout.xml usage can be found inside the module's folder

TODO: We need to include dependency of pinpoint Slick slider module instead of loading own Slick slider